## org.apache.http.conn.params
Class ConnManagerParams

    java.lang.Object
      org.apache.http.conn.params.ConnManagerParams

All Implemented Interfaces:
  ConnManagerPNames

Deprecated. replaced by methods in `HttpConnectionParams` and `ThreadSafeClientConnManager`. See individual method descriptions for details

    @Deprecated
    @Immutable
    public final class ConnManagerParams

extends Object
implements ConnManagerPNames

An adaptor for manipulating HTTP connection management parameters in `HttpParams`.

Since:
  4.0
See Also:
  `ConnManagerPNames`

Field Summary
`static int` `DEFAULT_MAX_TOTAL_CONNECTIONS` Deprecated. The default maximum number of connections allowed overall

Fields inherited from interface org.apache.http.conn.params.ConnManagerPNames
`MAX_CONNECTIONS_PER_ROUTE, MAX_TOTAL_CONNECTIONS, TIMEOUT`

Constructor Summary
`ConnManagerParams()` Deprecated.

Method Summary
`static ConnPerRoute` `getMaxConnectionsPerRoute(HttpParams params)` Deprecated. use `ThreadSafeClientConnManager.getMaxForRoute(org.apache.http.conn.routing.HttpRoute)`
`static int` `getMaxTotalConnections(HttpParams params)` Deprecated. use `ThreadSafeClientConnManager.getMaxTotal()`
`static long` `getTimeout(HttpParams params)` Deprecated. use `HttpConnectionParams.getConnectionTimeout(HttpParams)`
`static void` `setMaxConnectionsPerRoute(HttpParams params, ConnPerRoute connPerRoute)` Deprecated. use `ThreadSafeClientConnManager.setMaxForRoute(org.apache.http.conn.routing.HttpRoute, int)`
`static void` `setMaxTotalConnections(HttpParams params, int maxTotalConnections)` Deprecated. use `ThreadSafeClientConnManager.setMaxTotal(int)`
`static void` `setTimeout(HttpParams params, long timeout)` Deprecated. use `HttpConnectionParams.setConnectionTimeout(HttpParams, int)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MAX_TOTAL_CONNECTIONS

    public static final int DEFAULT_MAX_TOTAL_CONNECTIONS

  Deprecated.
  The default maximum number of connections allowed overall

  See Also:
    Constant Field Values

Constructor Detail

### ConnManagerParams

    public ConnManagerParams()

  Deprecated.

Method Detail

### getTimeout

    @Deprecated
    public static long getTimeout(HttpParams params)

  Deprecated. use `HttpConnectionParams.getConnectionTimeout(HttpParams)`

  Returns the timeout in milliseconds used when retrieving a `ManagedClientConnection` from the `ClientConnectionManager`.

  Returns:
    timeout in milliseconds.

### setTimeout

    @Deprecated
    public static void setTimeout(HttpParams params,
                                             long timeout)

  Deprecated. use `HttpConnectionParams.setConnectionTimeout(HttpParams, int)`

  Sets the timeout in milliseconds used when retrieving a `ManagedClientConnection` from the `ClientConnectionManager`.

  Parameters:
    `timeout` - the timeout in milliseconds

### setMaxConnectionsPerRoute

    @Deprecated
    public static void setMaxConnectionsPerRoute(HttpParams params,
                                                            ConnPerRoute connPerRoute)

  Deprecated. use `ThreadSafeClientConnManager.setMaxForRoute(org.apache.http.conn.routing.HttpRoute, int)`

  Sets lookup interface for maximum number of connections allowed per route.

  Parameters:
    `params` - HTTP parameters
    `connPerRoute` - lookup interface for maximum number of connections allowed per route

### getMaxConnectionsPerRoute

    @Deprecated
    public static ConnPerRoute getMaxConnectionsPerRoute(HttpParams params)

  Deprecated. use `ThreadSafeClientConnManager.getMaxForRoute(org.apache.http.conn.routing.HttpRoute)`

  Returns lookup interface for maximum number of connections allowed per route.

  Parameters:
    `params` - HTTP parameters
  Returns:
    lookup interface for maximum number of connections allowed per route.

### setMaxTotalConnections

    @Deprecated
    public static void setMaxTotalConnections(HttpParams params,
                                                         int maxTotalConnections)

  Deprecated. use `ThreadSafeClientConnManager.setMaxTotal(int)`

  Sets the maximum number of connections allowed.

  Parameters:
    `params` - HTTP parameters
    `maxTotalConnections` - The maximum number of connections allowed.

### getMaxTotalConnections

    @Deprecated
    public static int getMaxTotalConnections(HttpParams params)

  Deprecated. use `ThreadSafeClientConnManager.getMaxTotal()`

  Gets the maximum number of connections allowed.

  Parameters:
    `params` - HTTP parameters
  Returns:
    The maximum number of connections allowed.

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.